Web Server System Requirements Update

Note: This is an important notice for all customers who have PICS web applications installed on your own network and servers. This does not apply to customers who are using the Pellcomp Hosting platform.

From 1st March 2019, all web-based applications for PICS will be upgraded to run using version 4.7.2 of the Microsoft .NET Framework. This includes applications such as eAssessor, eRecruit and eEmploy. Desktop based applications, such as the main PICS application, and CRM, are not impacted by this change. All servers running PICS web applications from this date must have Microsoft .NET version 4.7.2 installed and configured to run web applications with.

Why are we doing this?

All PICS web applications currently run using Microsoft .NET Framework 4.5, which Microsoft ended support for in January 2016. We have put off the update for as long as possible to allow our applications to continue to run without you needing to install any updates on your servers. However, the time has come where we need to upgrade our applications to the latest version of the .NET Framework to continue to deliver updates to the applications themselves.

What applications are affected by this?

eAssessor, eTutor, eApply, eDashboard, eSurveys, eRecruit, eAdmin, eEmploy, eJobMatch, BKSB Databridge, PICS Web Service, PICS REST API.

What does this mean to you?

There is a good chance that you will not need to take any actual action. However, you should consult with your IT department, or whoever is responsible for the servers where your PICS web applications are installed, to ensure that they have the Microsoft .NET Framework version 4.7.2 installed and configured for web hosting. Failure to have the correct version of the Framework installed in time could result in some downtime for your PICS web applications. For those customers using the Pellcomp Hosting platforms, you can rest assured that we have already updated our systems to the required version ahead of time.

Leave a reply